package com.woolha.spring.springbeanregistration.config;

import com.woolha.spring.springbeanregistration.bean.MyComponent;
import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;
import org.springframework.context.annotation.Configuration;

@Configuration
public class BarConfig {

  public BarConfig(ConfigurableListableBeanFactory beanFactory) {
    beanFactory.registerSingleton("barComponent", new MyComponent("bar"));
  }
}
