package com.woolha.spring.springbeanregistration.config;

import com.woolha.spring.springbeanregistration.bean.MyComponent;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.beans.factory.config.ConstructorArgumentValues;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.support.GenericWebApplicationContext;

@Configuration
public class FooConfig {

  public FooConfig(GenericWebApplicationContext context) {
    context.registerBean(MyComponent.class, "foo1a");
    context.registerBean("fooComponent1", MyComponent.class, "foo1b");

//    context.registerBean(MyBean.class, () -> new MyBean("foo2a"));
    context.registerBean("fooComponent2", MyComponent.class, () -> new MyComponent("foo2b"));

//    context.registerBean(MyBean.class, (BeanDefinition bd) -> {
//      ConstructorArgumentValues constructorArgumentValues = bd.getConstructorArgumentValues();
//      constructorArgumentValues.addIndexedArgumentValue(0, "foo3a");
//    });
    context.registerBean("fooComponent3", MyComponent.class, (BeanDefinition bd) -> {
      ConstructorArgumentValues constructorArgumentValues = bd.getConstructorArgumentValues();
      constructorArgumentValues.addIndexedArgumentValue(0, "foo3b");
    });
  }
}
