package com.woolha.spring.springbeanregistration.controller;

import lombok.RequiredArgsConstructor;
import org.springframework.context.ApplicationContext;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
@RequiredArgsConstructor
public class MyController {

  private final ApplicationContext applicationContext;

  @GetMapping
  public void getBean(@RequestParam String name) {
    this.applicationContext.getBean(name);
  }
}
